VMBLOCK(9)

NAME
vmblock - vmware kernel module

SYNOPSIS
modprobe vmblock

DESCRIPTION
This is a kernel filesystem module. Ideally, it should be loaded before any of the Tools userlevel components are allowed to start, though vmblock itself has no dependencies. When loaded, vmblock will establish itself in /proc/fs/vmblock and create two nodes therein, dev and mountPoint. Before mounting a vmblock filesystem, ensure that /tmp/VMwareDnD exists as a directory with permissions 1777, otherwise host to guest drag n' drop operations won't work.

To mount, issue:

    mount -t vmblock none /proc/fs/vmblock/mountPoint

Once mounted, vmware-user(1) can begin to make use of vmblock to assist with DnD operations. Note that while vmware-user(1) is running, it'll keep an open file descriptor on /proc/fs/vmblock/dev, and thus all vmware-user(1) instances must be killed to unmount and unload vmblock.

OPTIONS
vmblock has no options.

SEE ALSO
vmware-checkvm(1)
vmware-hgfsclient(1)
vmware-toolbox(1)
vmware-toolbox-cmd(1)
vmware-user(1)
vmware-xferlogs(1)
libguestlib(3)
libvmtools(3)
vmware-guestd(8)
vmware-hgfsmounter(8)
vmware-user-suid-wrapper(1)
vmci(9)
vmhgfs(9)
vmmemctl(9)
vmsock(9)
vmsync(9)
vmxnet(9)
vmxnet3(9)

HOMEPAGE
More information about vmblock and the Open VM Tools can be found at <http://open-vm-tools.sourceforge.net/>.

AUTHOR
Open VM Tools were written by VMware, Inc. <http://www.vmware.com/>.

This manual page was put together from homepage materials by Daniel Baumann <mail@daniel-baumann.ch>, for the Debian project (but may be used by others).